unit Mainwinu;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, ExtCtrls, TNAIconU;

type
  TConfigWin = class(TForm)
    PopupMenu: TPopupMenu;
    ConfigMenuItem: TMenuItem;
    CloseMenuItem: TMenuItem;
    TNAIcon: TTNAIcon;
    AniImageList: TImageList;
    CloseButton: TButton;
    CancelButton: TButton;
    ApplyButton: TButton;
    GroupBox1: TGroupBox;
    AniCheckBox: TCheckBox;
    AniIntervalEdit: TEdit;
    Label1: TLabel;
    Info: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    procedure TNAIconDblClick(Sender: TObject);
    procedure ConfigMenuItemClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure ApplyButtonClick(Sender: TObject);
    procedure CloseMenuItemClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  ConfigWin: TConfigWin;

implementation

{$R *.DFM}

procedure TConfigWin.TNAIconDblClick(Sender: TObject);
begin
  Close;
end;

procedure TConfigWin.ConfigMenuItemClick(Sender: TObject);
begin
  TNAIcon.HideOwner:=False;
end;

procedure TConfigWin.CancelButtonClick(Sender: TObject);
begin
  TNAIcon.HideOwner:=True;
end;

procedure TConfigWin.ApplyButtonClick(Sender: TObject);
begin
  TNAIcon.Speed:=StrToInt(AniIntervalEdit.Text);
  TNAIcon.Animate:=AniCheckBox.Checked;
  TNAIcon.HideOwner:=True;
end;

procedure TConfigWin.CloseMenuItemClick(Sender: TObject);
begin
  Close;
end;

end.
